org.opencv.face

## Class BasicFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.BasicFaceRecognizer

- Direct Known Subclasses:
    EigenFaceRecognizer, FisherFaceRecognizer

      public class BasicFaceRecognizer
      extends FaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasicFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicFaceRecognizer` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `Mat` | `getEigenValues()`
    `Mat` | `getEigenVectors()`
    `Mat` | `getLabels()`
    `Mat` | `getMean()`
    `int` | `getNumComponents()`
    `java.util.List<Mat>` | `getProjections()`
    `double` | `getThreshold()`
    `void` | `setNumComponents(int val)`
    `void` | `setThreshold(double val)`

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicFaceRecognizer

          protected BasicFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BasicFaceRecognizer __fromPtr__(long addr)

    - #### getEigenValues

          public Mat getEigenValues()

    - #### getEigenVectors

          public Mat getEigenVectors()

    - #### getLabels

          public Mat getLabels()

    - #### getMean

          public Mat getMean()

    - #### getThreshold

          public double getThreshold()

    - #### getNumComponents

          public int getNumComponents()

    - #### getProjections

          public java.util.List<Mat> getProjections()

    - #### setNumComponents

          public void setNumComponents(int val)

    - #### setThreshold

          public void setThreshold(double val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `FaceRecognizer`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3